{
    "name": "@typemon/ioc-container",
    "version": "1.1.1",
    "description": "Inversion of Control Container",
    "main": "dist/index.js",
    "scripts": {
        "test": "ts-node --project ./tsconfig.spec.json ./test.ts",
        "clean": "rimraf ./*.tgz ./dist",
        "lint": "tslint -p ./tsconfig.compile.json",
        "precompile": "npm run clean && npm run lint",
        "compile": "tsc -p ./tsconfig.compile.json",
        "prepublishOnly": "npm run compile",
        "postpublish": "npm run clean"
    },
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/monster-space-network/typemon/ioc.git"
    },
    "keywords": [
        "monster-space-network",
        "typemon",
        "ioc-container",
        "inversion-of-control-container",
        "ioc",
        "inversion-of-control",
        "di",
        "dependency-injection",
        "injection",
        "injectable",
        "inject",
        "injection-token",
        "inject-token"
    ],
    "author": {
        "email": "monsterspace.network@gmail.com",
        "name": "Monster Space Network",
        "url": "https://monsterspace.network"
    },
    "license": "MIT",
    "peerDependencies": {
        "@typemon/types": "^2.0.1",
        "inversify": "^5.0.1",
        "reflect-metadata": "^0.1.13",
        "typescript": "^3.3.3"
    },
    "dependencies": {
        "@typemon/types": "^2.0.1",
        "inversify": "^5.0.1",
        "reflect-metadata": "^0.1.13"
    },
    "devDependencies": {
        "@typemon/lint-rules": "^1.0.1",
        "@types/node": "^11.9.4",
        "rimraf": "^2.6.3",
        "ts-node": "^8.0.2",
        "tslint": "^5.12.1",
        "typescript": "^3.3.3"
    }
}
